Bug 10484 - Initial FSRVP rpcclient requests fail with NT_STATUS_PIPE_NOT_AVAILABLE
Initial FSRVP rpcclient requests fail with NT_STATUS_PIPE_NOT_AVAILABLE
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: DCE-RPCs and pipes
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-03-04 16:00 UTC by David Disseldorp
Modified: 2014-03-25 09:29 UTC (History)
0 users

See Also:


Attachments
patch for 4.0.next, differs from master due to lack of 46d29d46bc065d51e3f7ca6892 (4.41 KB, patch)
2014-03-04 16:31 UTC, David Disseldorp
jra: review+
ddiss: review? (metze)
Details
patch for 4.1.next, differs from master due to lack of 46d29d46bc065d51e3f7ca6892 (4.41 KB, patch)
2014-03-04 16:57 UTC, David Disseldorp
jra: review+
ddiss: review? (metze)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description David Disseldorp 2014-03-04 16:00:10 UTC
A create&x on the FssagentRpc named pipe triggers the start of the FSRVP service. Such requests receive STATUS_PIPE_NOT_AVAILABLE errors until the service is available.

rpcclient should be changed to retry on STATUS_PIPE_NOT_AVAILABLE named pipe open responses, until either:
- the server responds with success
- the client timeout is reached
- the server responds with any other error code

This bug is fixed in master with:
commit ebe6627c1f0e6b488a0c456860a055fd5701e84d
Author: David Disseldorp <ddiss@samba.org>
Date:   Mon Mar 3 19:49:35 2014 +0100

    rpc_client: retry open on STATUS_PIPE_NOT_AVAILABLE


4.1 and 4.0 backports to follow.
Comment 1 David Disseldorp 2014-03-04 16:31:23 UTC
Created attachment 9749 [details]
patch for 4.0.next, differs from master due to lack of 46d29d46bc065d51e3f7ca6892
Comment 2 David Disseldorp 2014-03-04 16:57:01 UTC
Created attachment 9751 [details]
patch for 4.1.next, differs from master due to lack of 46d29d46bc065d51e3f7ca6892
Comment 3 Jeremy Allison 2014-03-07 21:31:50 UTC
Re-assigning to Karolin for inclusion in 4.1.next, 4.0.next.

Jeremy.
Comment 4 Karolin Seeger 2014-03-10 15:19:42 UTC
Pushed to autobuild-v4-0-test and autobuild-v4-1-test.
Comment 5 Karolin Seeger 2014-03-25 09:29:10 UTC
(In reply to comment #4)
> Pushed to autobuild-v4-0-test and autobuild-v4-1-test.

Pushed to v4-1-test and v4-0-test.
Closing out bug report.

Thanks!